Loading...
Searching...
No Matches
Dune::PolyhedralGridEntity< codim, dim, Grid > Class Template Reference
Inheritance diagram for Dune::PolyhedralGridEntity< codim, dim, Grid >:

## Public Types

typedef Base::EntitySeed | EntitySeed
typedef Traits::ctype | ctype
| coordinate type of the grid
typedef Traits::Index | Index
typedef Grid::template Codim< codimension >::Entity | Entity
| type of entity
typedef Grid::template Codim< codimension >::EntitySeed | EntitySeed
| type of corresponding entity seed
typedef Traits::template Codim< codimension >::Geometry | Geometry
| type of corresponding geometry
typedef Traits::template Codim< codimension >::GeometryImpl | GeometryImpl

## Public Member Functions

| PolyhedralGridEntity (ExtraData data_param)
| PolyhedralGridEntity (ExtraData data_param, const EntitySeed &seed)
unsigned int | subEntities (const unsigned int cd) const
template<int cd>
Grid::template Codim< cd >::EntityPointer | subEntity (int i) const
Public Member Functions inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
bool | equals (const PolyhedralGridEntityBasic &other) const
| PolyhedralGridEntityBasic ()
| construct a null entity
| PolyhedralGridEntityBasic (ExtraData data)
| construct a null entity with data pointer
| PolyhedralGridEntityBasic (ExtraData data, const EntitySeed &seed)
| construct an initialized entity
GeometryType | type () const
| obtain the name of the corresponding reference element
int | level () const
| obtain the level of this entity
PartitionType | partitionType () const
| obtain the partition type of this entity
Geometry | geometry () const
| obtain the geometry of this entity
EntitySeed | seed () const
| return EntitySeed
ExtraData | data () const
Index | index () const

## Protected Types

typedef std::remove_const< Grid >::type::Traits | Traits
typedef Traits::ExtraData | ExtraData
Protected Types inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
typedef std::remove_const< Grid >::type::Traits | Traits
typedef Traits::ExtraData | ExtraData

## Protected Attributes

EntitySeed | seed_
Protected Attributes inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
ExtraData | data_
EntitySeed | seed_

## Additional Inherited Members

static const int | codimension = codim
| codimensioon of the entity
static const int | dimension = Traits::dimension
| dimension of the grid
static const int | mydimension = dimension - codimension
| dimension of the entity
static const int | dimensionworld = Traits::dimensionworld
| dimension of the world

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/entity.hh